Cyberduck Mountain Duck CLI

#157 closed enhancement (fixed)

Clarify permissions settings in Preferences

Reported by: tteulings@… Owned by: dkocher
Priority: low Milestone: 2.7
Component: interface Version: 2.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

On my new host textdrive.com i have the problem that when i upload a website tree to my account on the SFTP webserver all the folder permissions are set correctly but the file permissions all end up empty (0000) as do the group and owner. Which means i have to set all the file permissions by hand after each upload. If i overwite files on the same server teh file permissions stay intact though. I have encountered this problem on textdrive but on other servers too. I have had the same problem in previous versions b.t.w.

Change History (6)

comment:1 Changed on Feb 13, 2006 at 2:22:14 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Make sure to check "adjust file permissions on upload" in the Transfer Preferences.

comment:2 Changed on Sep 6, 2006 at 8:19:48 AM by boredzo@…

  • Component changed from sftp to interface
  • Priority changed from normal to low
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 2.5.4 to 2.6.1

I have two proposals:

(1) Kill the checkboxes for “Use default permissions”. Invert the sense of the “Adjust file permissions on (up|down)load” checkboxes (so that they mean “Adjust the permissions to *these* permissions”). Those few people who really do need different permissions on the local file can deal with it manually with the Info panel.

(2) Change the “Use default permissions” checkboxes to radio button groups. Rename the “Adjust file permissions” checkboxes. Then the UI looks like this:

	[✓] Change permissions of uploaded files
		(·) to the permissions of the local file
		( ) to these permissions:
			[ nine checkboxes]
	[✓] Change permissions of downloaded files
		(·) to the permissions of the remote file
		( ) to these permissions:
			[ nine checkboxes]

This keeps basically the same design as the current UI, but clarifies it.

comment:3 Changed on Sep 6, 2006 at 8:21:17 AM by dkocher

  • Summary changed from incorrect permissions after uploading to SFTP server to Clarify permissions settings in Preferences
  • Type changed from defect to enhancement

comment:4 Changed on Oct 8, 2006 at 1:58:21 PM by dkocher

  • Milestone set to 2.6.5
  • Resolution set to fixed
  • Status changed from reopened to closed

comment:5 Changed on Oct 11, 2006 at 8:33:05 AM by dkocher

  • Milestone changed from 2.6.5 to 2.6.2

comment:6 Changed on Oct 11, 2006 at 8:37:25 AM by dkocher

  • Milestone changed from 2.6.2 to 2.6.3
Note: See TracTickets for help on using tickets.
swiss made software